# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/CapabilityAgents/AIP/test
# Build directory: /Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(AudioInputProcessorTest.createWithoutDirectiveSequencer "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutDirectiveSequencer")
add_test(AudioInputProcessorTest.createWithoutMessageSender "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutMessageSender")
add_test(AudioInputProcessorTest.createWithoutContextManager "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutContextManager")
add_test(AudioInputProcessorTest.createWithoutFocusManager "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutFocusManager")
add_test(AudioInputProcessorTest.createWithoutStateAggregator "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutStateAggregator")
add_test(AudioInputProcessorTest.createWithoutExceptionSender "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutExceptionSender")
add_test(AudioInputProcessorTest.createWithoutUserActivityNotifier "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutUserActivityNotifier")
add_test(AudioInputProcessorTest.createWithoutAudioProvider "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.createWithoutAudioProvider")
add_test(AudioInputProcessorTest.getConfiguration "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.getConfiguration")
add_test(AudioInputProcessorTest.addRemoveObserver "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.addRemoveObserver")
add_test(AudioInputProcessorTest.recognizeNullStream "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeNullStream")
add_test(AudioInputProcessorTest.recognizeInvalidAudioFormat "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeInvalidAudioFormat")
add_test(AudioInputProcessorTest.recognizePressAndHold "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizePressAndHold")
add_test(AudioInputProcessorTest.recognizeTap "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeTap")
add_test(AudioInputProcessorTest.recognizeWakewordWithoutKeyword "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithoutKeyword")
add_test(AudioInputProcessorTest.recognizeWakewordWithBadBegin "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithBadBegin")
add_test(AudioInputProcessorTest.recognizeWakewordWithKeyword "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithKeyword")
add_test(AudioInputProcessorTest.recognizeWakewordWithGoodBegin "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithGoodBegin")
add_test(AudioInputProcessorTest.recognizeWakewordWithGoodBeginAndEnd "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithGoodBeginAndEnd")
add_test(AudioInputProcessorTest.recognizeCloseTalk "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeCloseTalk")
add_test(AudioInputProcessorTest.recognizeNearField "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeNearField")
add_test(AudioInputProcessorTest.recognizeFarField "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeFarField")
add_test(AudioInputProcessorTest.recognizeWhileExpectingSpeech "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWhileExpectingSpeech")
add_test(AudioInputProcessorTest.recognizeStopAfterRecognize "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeStopAfterRecognize")
add_test(AudioInputProcessorTest.recognizeStopAfterContext "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeStopAfterContext")
add_test(AudioInputProcessorTest.recognizeStopAfterFocus "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeStopAfterFocus")
add_test(AudioInputProcessorTest.recognizeStopAfterSend "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeStopAfterSend")
add_test(AudioInputProcessorTest.recognizeBargeInWhileRecognizingCloseTalk "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeBargeInWhileRecognizingCloseTalk")
add_test(AudioInputProcessorTest.recognizeBargeInWhileRecognizingNearField "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeBargeInWhileRecognizingNearField")
add_test(AudioInputProcessorTest.recognizeBargeInWhileRecognizingFarField "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeBargeInWhileRecognizingFarField")
add_test(AudioInputProcessorTest.recognizeBargeInWhileRecognizingCantOverride "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeBargeInWhileRecognizingCantOverride")
add_test(AudioInputProcessorTest.recognizeBargeInWhileRecognizingCantBeOverridden "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeBargeInWhileRecognizingCantBeOverridden")
add_test(AudioInputProcessorTest.stopCaptureWhenIdle "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.stopCaptureWhenIdle")
add_test(AudioInputProcessorTest.stopCaptureWhenExpectingSpeech "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.stopCaptureWhenExpectingSpeech")
add_test(AudioInputProcessorTest.stopCaptureWhenRecognizing "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.stopCaptureWhenRecognizing")
add_test(AudioInputProcessorTest.resetStateWhenIdle "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.resetStateWhenIdle")
add_test(AudioInputProcessorTest.resetStateWhenExpectingSpeech "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.resetStateWhenExpectingSpeech")
add_test(AudioInputProcessorTest.resetStateWhenRecognizing "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.resetStateWhenRecognizing")
add_test(AudioInputProcessorTest.contextFailureStateProviderTimedout "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.contextFailureStateProviderTimedout")
add_test(AudioInputProcessorTest.contextFailureBuildContextError "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.contextFailureBuildContextError")
add_test(AudioInputProcessorTest.preHandleAndHandleDirectiveStopCaptureWhenIdle "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.preHandleAndHandleDirectiveStopCaptureWhenIdle")
add_test(AudioInputProcessorTest.preHandleAndHandleDirectiveStopCaptureWhenRecognizing "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.preHandleAndHandleDirectiveStopCaptureWhenRecognizing")
add_test(AudioInputProcessorTest.preHandleAndHandleDirectiveStopCaptureWhenExpectingSpeech "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.preHandleAndHandleDirectiveStopCaptureWhenExpectingSpeech")
add_test(AudioInputProcessorTest.handleDirectiveImmediatelyStopCaptureWhenRecognizing "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.handleDirectiveImmediatelyStopCaptureWhenRecognizing")
add_test(AudioInputProcessorTest.preHandleAndHandleDirectiveExpectSpeechWhenIdle "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.preHandleAndHandleDirectiveExpectSpeechWhenIdle")
add_test(AudioInputProcessorTest.handleDirectiveImmediatelyExpectSpeechWhenIdle "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.handleDirectiveImmediatelyExpectSpeechWhenIdle")
add_test(AudioInputProcessorTest.preHandleAndHandleDirectiveExpectSpeechWhenRecognizing "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.preHandleAndHandleDirectiveExpectSpeechWhenRecognizing")
add_test(AudioInputProcessorTest.preHandleAndHandleDirectiveExpectSpeechWhenExpectingSpeech "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.preHandleAndHandleDirectiveExpectSpeechWhenExpectingSpeech")
add_test(AudioInputProcessorTest.expectSpeechNoDefaultNoPrevious "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.expectSpeechNoDefaultNoPrevious")
add_test(AudioInputProcessorTest.expectSpeechUnreadableDefaultNoPrevious "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.expectSpeechUnreadableDefaultNoPrevious")
add_test(AudioInputProcessorTest.expectSpeechUnreadableDefaultUnreadablePrevious "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.expectSpeechUnreadableDefaultUnreadablePrevious")
add_test(AudioInputProcessorTest.expectSpeechNoDefaultReadablePrevious "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.expectSpeechNoDefaultReadablePrevious")
add_test(AudioInputProcessorTest.expectSpeechWithInitiator "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.expectSpeechWithInitiator")
add_test(AudioInputProcessorTest.expectSpeechWithNoInitiator "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.expectSpeechWithNoInitiator")
add_test(AudioInputProcessorTest.expectSpeechWithInitiatorTimedOut "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.expectSpeechWithInitiatorTimedOut")
add_test(AudioInputProcessorTest.focusChangedBackground "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.focusChangedBackground")
add_test(AudioInputProcessorTest.focusChangedNone "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.focusChangedNone")
add_test(AudioInputProcessorTest.resetStateOnTimeOut "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.resetStateOnTimeOut")
add_test(AudioInputProcessorTest.recognizeWakewordWithESPWithKeyword "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithESPWithKeyword")
add_test(AudioInputProcessorTest.recognizeWakewordWithInvalidESPWithKeyword "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithInvalidESPWithKeyword")
add_test(AudioInputProcessorTest.recognizeOPUSWithTap "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeOPUSWithTap")
add_test(AudioInputProcessorTest.recognizeOPUSWithPressAndHold "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeOPUSWithPressAndHold")
add_test(AudioInputProcessorTest.recognizeOPUSWithWakeWord "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeOPUSWithWakeWord")
add_test(AudioInputProcessorTest.recognizeWakewordWithKWDMetadata "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/AudioInputProcessorTest" "--gtest_filter=AudioInputProcessorTest.recognizeWakewordWithKWDMetadata")
add_test(ESPDataTest.NormalPositiveNumber "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/ESPDataTest" "--gtest_filter=ESPDataTest.NormalPositiveNumber")
add_test(ESPDataTest.NormalPositiveNumberWithoutSign "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/ESPDataTest" "--gtest_filter=ESPDataTest.NormalPositiveNumberWithoutSign")
add_test(ESPDataTest.NormalNegativeNumber "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/ESPDataTest" "--gtest_filter=ESPDataTest.NormalNegativeNumber")
add_test(ESPDataTest.NormalPositiveExponentialNumber "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/ESPDataTest" "--gtest_filter=ESPDataTest.NormalPositiveExponentialNumber")
add_test(ESPDataTest.NormalNegativeExponentialNumber "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/ESPDataTest" "--gtest_filter=ESPDataTest.NormalNegativeExponentialNumber")
add_test(ESPDataTest.emptyNumber "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/ESPDataTest" "--gtest_filter=ESPDataTest.emptyNumber")
add_test(ESPDataTest.noDigitInNumber "/Users/h/sdk-folder/sdk-build/CapabilityAgents/AIP/test/ESPDataTest" "--gtest_filter=ESPDataTest.noDigitInNumber")
